#Venn diagrams comparing nurse plant rows in the first year to the inocula
#Alice Tipton, June 29, 2021
#chanute 
#get data using import dataset base (categories_for_venn_chanute)
chanute_list <- setNames(split(categories_for_venn_chanute[,-1],seq(nrow(categories_for_venn_chanute[,-1]))),categories_for_venn_chanute$Treatment)
chanute_list2<-lapply(chanute_list,function(x){as.character(as.vector(x))})
display_venn <- function(chanute_list2, ...){
  library(VennDiagram)
  grid.newpage()
  venn_object <- venn.diagram(chanute_list2, filename = NULL, ...)
  grid.draw(venn_object)
}
display_venn(chanute_list2)
display_venn(
  chanute_list2,
  cat.cex = 1.5,
  cat.fontface = "bold",
  cex = 1.5,
  cat.dist = c(0.18, 0.2, 0.21, 0.2,0.2),
  category.names = c("AMF Inocula", "AMF", "Whole","Sterile","Whole Inocula"),
  fill = c("darkgreen", "darkolivegreen1", "darkorchid1", "darkorange3","darkblue"),
  cat.pos = c(0, -45, -110,130,20))

#tinker
#get data using import dataset base (Tinker_categories_for_ven)
tinker_list <- setNames(split(Tinker_categoreis_for_venn[,-1],seq(nrow(Tinker_categoreis_for_venn[,-1]))),Tinker_categoreis_for_venn$treatment)
tinker_list2<-lapply(tinker_list,function(x){as.character(as.vector(x))})
display_venn <- function(tinker_list2, ...){
  library(VennDiagram)
  grid.newpage()
  venn_object <- venn.diagram(tinker_list2, filename = NULL, ...)
  grid.draw(venn_object)
}
display_venn(tinker_list2)
display_venn(
  tinker_list2,
  cat.cex = 1.5,
  cex = 1.5,
  cat.fontface = "bold",
  cat.dist = c(0.18, 0.2, 0.21, 0.2,0.2),
  category.names = c("AMF Inocula", "AMF", "Whole", "Sterile", "Whole Inocula"),
  fill = c("darkgreen", "darkolivegreen1", "darkorchid1", "darkorange3","darkblue"),
  cat.pos = c(0, -45, -110,130,20))


#Ft. Riley Brome
#get data using import dataset base (FRBR_venn_categories)
frb_list <- setNames(split(FRBR_venn_categories[,-1],seq(nrow(FRBR_venn_categories[,-1]))),FRBR_venn_categories$TREATMENT)
frb_list2<-lapply(frb_list,function(x){as.character(as.vector(x))})
display_venn <- function(frb_list2, ...){
  library(VennDiagram)
  grid.newpage()
  venn_object <- venn.diagram(frb_list2, filename = NULL, ...)
  grid.draw(venn_object)
}
display_venn(frb_list2)
display_venn(
  frb_list2,
  cat.cex = 1.5,
  cex = 1.5,
  cat.fontface = "bold",
  cat.dist = c(0.18, 0.2, 0.21, 0.2,0.2),
  category.names = c("AMF Inocula", "AMF", "Whole", "Sterile", "Whole Inocula"),
  fill = c("darkgreen", "darkolivegreen1", "darkorchid1", "darkorange3","darkblue"),
  cat.pos = c(0, -45, -110,130,20))


#Ft. Riley OWB
#get data using import dataset base (FROWB_venn_categories)
frowb_list <- setNames(split(FROWB_venn_categories[,-1],seq(nrow(FROWB_venn_categories[,-1]))),FROWB_venn_categories$treatment)
frowb_list2<-lapply(frowb_list,function(x){as.character(as.vector(x))})
display_venn <- function(frowb_list2, ...){
  library(VennDiagram)
  grid.newpage()
  venn_object <- venn.diagram(frowb_list2, filename = NULL, ...)
  grid.draw(venn_object)
}
display_venn(frowb_list2)
display_venn(
  frowb_list2,
  cat.cex = 1.5,
  cex = 1.5,
  cat.fontface = "bold",
  cat.dist = c(0.18, 0.2, 0.21, 0.2,0.2),
  category.names = c("AMF Inocula", "AMF", "Whole", "Sterile", "Whole Inocula"),
  fill = c("darkgreen", "darkolivegreen1", "darkorchid1", "darkorange3","darkblue"),
  cat.pos = c(0, -45, -110,130,20))


